Tag Parser: TagParser::FlacMetaDataBlockPicture Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::FlacMetaDataBlockPicture Class Reference

The FlacMetaDataBlockPicture class is a FLAC "METADATA_BLOCK_PICTURE" parser and maker. More...

`#include <flacmetadata.h>`

## Public Member Functions
| FlacMetaDataBlockPicture (TagValue &tagValue)
| Constructs a new FLAC "METADATA_BLOCK_PICTURE".
void | parse (std::istream &inputStream, std::uint32_t maxSize)
| Parses the FLAC "METADATA_BLOCK_PICTURE".
std::uint32_t | requiredSize () const
| Returns the number of bytes make() will write.
void | make (std::ostream &outputStream)
| Makes the FLAC "METADATA_BLOCK_PICTURE".
std::uint32_t | pictureType () const
| Returns the picture type according to the ID3v2 APIC frame.
void | setPictureType (std::uint32_t pictureType)
| Sets the picture type according to the ID3v2 APIC frame.
TagValue & | value ()
| Returns the tag value the picture is read from/stored to.

## Detailed Description

The FlacMetaDataBlockPicture class is a FLAC "METADATA_BLOCK_PICTURE" parser and maker.

See also
  https://xiph.org/flac/format.html

Definition at line 248 of file flacmetadata.h.

## Constructor & Destructor Documentation

## ◆ FlacMetaDataBlockPicture()

TagParser::FlacMetaDataBlockPicture::FlacMetaDataBlockPicture | ( | TagValue & | tagValue | ) |
| inline

Constructs a new FLAC "METADATA_BLOCK_PICTURE".

The picture is read from/stored to the specified tagValue. The FlacMetaDataBlockPicture does not take ownership over the specified tagValue.

Definition at line 272 of file flacmetadata.h.

## Member Function Documentation

## ◆ make()

void TagParser::FlacMetaDataBlockPicture::make | ( | std::ostream & | outputStream | ) |

Makes the FLAC "METADATA_BLOCK_PICTURE".

Exceptions

  Throws | an InvalidDataException() if the assigned data can not be serialized into a "METADATA_BLOCK_PICTURE" structure.

Definition at line 125 of file flacmetadata.cpp.

## ◆ parse()

void TagParser::FlacMetaDataBlockPicture::parse | ( | std::istream & | inputStream,
|  | std::uint32_t | maxSize )

Parses the FLAC "METADATA_BLOCK_PICTURE".

maxSize specifies the maximum size of the structure.

Definition at line 83 of file flacmetadata.cpp.

## ◆ pictureType()

std::uint32_t TagParser::FlacMetaDataBlockPicture::pictureType | ( |  | ) | const
| inline

Returns the picture type according to the ID3v2 APIC frame.

Definition at line 281 of file flacmetadata.h.

## ◆ requiredSize()

std::uint32_t TagParser::FlacMetaDataBlockPicture::requiredSize | ( |  | ) | const

Returns the number of bytes make() will write.

Remarks
  Any changes to the object will invalidate this value.

Exceptions

  Throws | an InvalidDataException() if the assigned data is too big.

Definition at line 112 of file flacmetadata.cpp.

## ◆ setPictureType()

void TagParser::FlacMetaDataBlockPicture::setPictureType | ( | std::uint32_t | pictureType | ) |
| inline

Sets the picture type according to the ID3v2 APIC frame.

Definition at line 289 of file flacmetadata.h.

## ◆ value()

TagValue & TagParser::FlacMetaDataBlockPicture::value | ( |  | ) |
| inline

Returns the tag value the picture is read from/stored to.

Definition at line 297 of file flacmetadata.h.

The documentation for this class was generated from the following files:

- flac/flacmetadata.h
- flac/flacmetadata.cpp